TABLET-ENCODE(1)

NAME
tablet-encode - video converter for Nokia Internet Tablets

SYNOPSIS
tablet-encode [options] input destination
tablet-encode [options] input [input2...] directory
tablet-encode [options] --list input [input2...]

OPTIONS
-g, --gui open a graphical interface to tablet-encode

-q, --quiet
    be vewwy vewwy quiet

-p, --preset=PRESET
    preset to use. Use --preset=list to see them all

--hq
    high quality encoding (takes longer).

-s, --sample=SECS
    produce a SECS second sample encoding. Default: 30

-i, --index
    generate avi file index

-i, --index
    include material from `FILE'

-7, --770
    use a different FOURCC for better 770 compatibility

-o, --original-aspect
    disable cropping image to better fit screen

-c, --copy-audio
    copy the existing audio track

-2, --two-pass
    encode in two passes for better quality

-m, --mencoder=ARGn
    pass ARGn to mencoder (can occur multiple times)

-t, --subtitle=FILE
    embed subtitles in the converted video, from the specified file, or <file>.srt

-e, --episodes
    when auto-detecting DVD track, rip all episodes

-l, --list
    specify that the arguments are a list of files to encode, output file is input suffixed with preset

-h, --help
    print this help, then exit

DESCRIPTION
There are a number of different ways of using tablet-encode, but the simplest is to give one existing movie (or URL) and the filename of the target:

    tablet-encode input.avi output.avi
    tablet-encode http://www.example.com/somefilm.mov output.avi
    tablet-encode dvd://1 output.avi

The last of these has shown MPlayer's support for DVDs. tablet-encode will also auto-detect directories containing VIDEO_TS folders as DVDs, and if the title on the DVD is unspecified, the longest will be used:

    tablet-encode dvd: output.avi
    tablet-encode /media/dvd/ output.avi

For TV series' DVDs, the '--episodes' option can be used. This will rip all episodes on the DVD within 10% of the middle-longest track (i.e. the median):

    tablet-encode --episodes dvd: /media/nokia-external/Video/

A number of presets are available. If none is specified, it defaults to "average". A full list of the presets can be seen by passing `list' to the --preset option:

    tablet-encode --preset list

If the target of the encoding is a directory, multiple input files can be specified:

    tablet-encode file1.avi file2.mov file3.wmv output/

There are many more options, a full listing is provided in the online help:

    tablet-encode --help

Running tablet-encode with no parameters will start a GUI version, if possible. A GUI progress bar can be shown when specifying arguments with the `--gui' option. This requires the Gtk2-Perl bindings to be installed.

CONFIGURING
The file `.tablet-encode.conf' will be read from your home directory at start up. In this file you can define your own presets, change the default preset used if none is specified and a few other things.

To define your own preset, say "dvd", create ~/.tablet-encode.conf in your favourite editor and add the content:

    $PRESET{dvd} = { abitrate => 256, vbitrate => 800, width => 400 };

This will define a preset called 'dvd' with an audio bitrate of 256kbps, a video bitrate of 800kbps and a maximum width of 400 pixels. The height is auto-calculated based on the tablet's screen and the size of the input video.

To use the 'dvd' preset instead of 'average' when no preset is specified, add the following line to ~/.tablet-encode.conf:

    $defaultPreset = 'dvd';

Note that this is a mini-Perl script, so blank lines and lines starting `#' will be ignored. All statements MUST end in a semi-colon, `;'.

For Nokia 770 users, you may wish to always use 770-compatibility mode. To achieve this, in ~/.tablet-encode.conf put:

    $options{770} = 1;

AUTHOR
tablet-encode was written by Andrew Flegg <andrew@bleb.org>.

This manual page was written by Alessio Treglia <quadrispro@ubuntu.com>, for the Ubuntu project (and may be used by others).